<template>
    <div class="container-fluid">
        <div class="block-header">
            <a class="btn btn-primary waves-effect" @click="senderPage('addSize')">
                <i class="material-icons">add</i>
                <span>Add New Size</span>
            </a>
        </div>
        <!-- Exportable Table -->
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            ALL Size
                            <span class="badge bg-blue"></span>
                        </h2>
                    </div>
                    <div class="body">
                        <div class="table-responsive">
                            <table class="table table-bordered table-striped table-hover dataTable js-exportable">
                                <thead>
                                <tr>
                                    <th>SL</th>
                                    <th>Brand Name</th>
                                    <th>Total Items</th>
                                    <th>Updated At</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tfoot>
                                <tr>
                                    <th>SL</th>
                                    <th>Brand Name</th>
                                    <th>Total Items</th>
                                    <th>Updated At</th>
                                    <th>Action</th>
                                </tr>
                                </tfoot>
                                <tbody>
                                <tr v-for="size in sizes" :key="size.id">
                                    <td>{{size.id}}</td>
                                    <td>{{size.name}}</td>
                                    <td>{{size.products.length}}</td>
                                    <td>{{moment(size.updated_at).format('D-M-Y hh:mm a') }}</td>
                                    <td class="text-center">
                                        <a @click="edit(size)" href="javascript:void(0)" class="btn btn-info waves-effect">
                                            <i class="material-icons">edit</i>
                                        </a>
                                        <button class="btn btn-danger waves-effect" type="button" @click="deleteCategory(size.id)">
                                            <i class="material-icons">delete</i>
                                        </button>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Exportable Table -->
    </div>

</template>
<script>
    import moment from "moment";
    export default {
        data(){
            return {
                moment,
                sizes:{},
            }
        },
        mounted() {
            this.getInfo();
        },
        methods:{
            getInfo(){
                axios.get('/admin/size').then((response)=>{
                    this.sizes=response.data;
                });
            },
            senderPage(text){
                this.$emit('sent',text);
            },
            edit(text){
                this.$emit('edit',text);
                //console.log(data);
            },
            deleteCategory(size) {
                swal({
                    title: 'Are you sure?',
                    text: "You want to deleted this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#3085d6',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!',
                    cancelButtonText: 'No, cancel!',
                    confirmButtonClass: 'btn btn-success',
                    cancelButtonClass: 'btn btn-danger',
                    buttonsStyling: false,
                    reverseButtons: true
                }).then((result) => {
                    if (result.value) {
                        axios.delete(`/admin/size/delete/${size}`).then((response)=>{
                            if(response.data[0]===0){
                                this.$toaster.error(response.data[1]);
                                this.getInfo();
                            }
                            else
                                this.$toaster.success(response.data[1]);
                        });
                    } else if (
                        // Read more about handling dismissals
                        result.dismiss === swal.DismissReason.cancel
                    ) {
                        swal(
                            'Cancelled',
                            'Your data is safe :)',
                            'error'
                        )
                    }
                })
            },
        }
    }
</script>

